Subject: bug#36681: closed (Re: bug#36681: Feature Request: Option to build Emacs without byte-compilation.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Sep 2019 12:09:02 +0000

Your bug report

#36681: Feature Request:  Option to build Emacs without byte-compilation.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36681: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36681
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36681: Feature Request: Option to build Emacs without byte-compilation.
From: Stefan Kangas <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: Keith David Bershatsky <[email-masked]>, Noam Postavsky <[email-masked]>, [email-masked]
Date: Fri, 13 Sep 2019 14:08:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris <[email-masked]> writes:

> I'm marking this as wontfix.

Two months later, I'm now also closing this bug report.

Best regards,
Stefan Kangas

Subject: Feature Request: Option to build Emacs without byte-compilation.
From: Keith David Bershatsky <[email-masked]>
To: Emacs Bug Reports <[email-masked]>
Date: Mon, 15 Jul 2019 16:10:57 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

There is an open question that I posed on emacs.stackexchange.com nearly two years ago:

https://emacs.stackexchange.com/questions/34362/how-to-build-emacs-without-byte-compiling-lisp-files

The current build time for the master branch is over 30 minutes, and seems like approximately 45 minutes, but I have not timed it exactly.  A command-line option to skip byte-compilation when building Emacs would greatly enhance the productivity of people contributing to the development of Emacs.  There are also threads that I have seen in the past couple of years looking for ways to quickly build Emacs for something called "unit testing":

https://emacs.stackexchange.com/questions/14043/build-a-minimal-emacs-25-for-unit-testing

I would suggesting creating a build option such as "--byte-compile=no" or "--without-byte-compile".